import { Injectable, ɵɵdefineInjectable, EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ButtonService {
    constructor() { }
}
ButtonService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
ButtonService.ctorParameters = () => [];
/** @nocollapse */ ButtonService.ngInjectableDef = ɵɵdefineInjectable({ factory: function ButtonService_Factory() { return new ButtonService(); }, token: ButtonService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// [disabled]="loading"
class ButtonComponent {
    constructor() {
        this.texto = '';
        this.icon = '';
        this.disabled = false;
        this.width = 0;
        this.loading = false;
        this.accion = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.width > 0) {
            this.AgregarWidth();
        }
    }
    /**
     * @return {?}
     */
    Click() {
        this.loading = true;
        $('#button').addClass('disabled');
        this.accion.emit();
    }
    /**
     * @return {?}
     */
    Finalizo() {
        this.loading = false;
        $('#button').removeClass('disabled');
    }
    /**
     * @return {?}
     */
    AgregarWidth() {
        $('#button').css('min-width', this.width);
    }
}
ButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'ga-to-button',
                template: `
  <button (click)="Click()" #button id="button" class="cssButton" [disabled]="loading || disabled"
    [ngClass]="{'disabled': loading || disabled}">
    <div class='text'>
      <div *ngIf="loading" [ngClass]="{'button-indicator': texto.length > 0}">
        <i class="fas fa-sync-alt fa-pulse"></i>
      </div>
      <div *ngIf="!loading && icon.length > 0" [ngClass]="{'button-indicator': texto.length > 0}">
        <i [class]="icon"></i>
      </div>
      <span>{{texto}}</span>
    </div>
  </button>
  `,
                styles: [".cssButton{display:block;padding:5px 12px 8px;width:-webkit-max-content;width:-moz-max-content;width:max-content;box-sizing:border-box;font-weight:400;font-size:14px;font-family:'Helvetica Neue','Segoe UI',Helvetica,Verdana,sans-serif;cursor:pointer;background-color:transparent;color:#2d6da3;border-radius:4px;line-height:1.35715;border:1px solid #2d6da3}.cssButton:hover{background-color:rgba(45,109,163,.1)}.cssButton.disabled:hover{background-color:transparent}.cssButton .text{text-align:center;padding:1px 6px}.button-indicator{float:left;margin-right:5px;position:relative;padding:0}.disabled{opacity:.5;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;zoom:1;cursor:default}"]
            }] }
];
/** @nocollapse */
ButtonComponent.ctorParameters = () => [];
ButtonComponent.propDecorators = {
    texto: [{ type: Input }],
    icon: [{ type: Input }],
    disabled: [{ type: Input }],
    width: [{ type: Input }],
    accion: [{ type: Output }]
};
if (false) {
    /** @type {?} */
    ButtonComponent.prototype.texto;
    /** @type {?} */
    ButtonComponent.prototype.icon;
    /** @type {?} */
    ButtonComponent.prototype.disabled;
    /** @type {?} */
    ButtonComponent.prototype.width;
    /** @type {?} */
    ButtonComponent.prototype.loading;
    /** @type {?} */
    ButtonComponent.prototype.accion;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ButtonModule {
}
ButtonModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ButtonComponent],
                imports: [
                    CommonModule
                ],
                exports: [ButtonComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: ga-to-button.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ButtonComponent, ButtonModule, ButtonService };
//# sourceMappingURL=ga-to-button.js.map
